/*
  Сервис интеграции ПП Парус 8 с WEB API
  Модели данных: Описатели параметров процедур модуля взаимодействия с БД (класс DBConnector)
*/

//----------------------
// Подключение библиотек
//----------------------

const Schema = require("validate"); //Схемы валидации

//------------------
//  Интерфейс модуля
//------------------

//Схема валидации параметров установки состояния позиции очереди
exports.setQueueState = new Schema({
    //Идентификатор позиции очереди
    nQueueId: {
        type: Number,
        required: true,
        message: {
            type: "Идентификатор позиции очереди (nQueueId) должен быть числом",
            required: "Не указан идентификатор позиции очереди (nQueueId)"
        }
    },
    //Код состояния
    nExecState: {
        type: Number,
        enum: [1, 2], //!!!!!!!!!!!!!!!!!!!!!!
        required: true,
        message: {
            type: "Код состояния (nExecState) должен быть числовым",
            enum: "Указанный код состояния (nExecState) не поддерживается",
            required: "Не указан код состояния (nExecState)"
        }
    },
    //Сообщение обработчика
    sExecMsg: {
        type: String,
        required: false,
        message: {
            type: "Сообщение обработчика (sExecMsg) должно быть строкой"
        }
    }
});
